Taslak Çember

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 30% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Fillet.svg Fillet
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Çember

Menü konumu
Taslak → Çember
Tezgahlar
Çember, Yapı
Varsayılan kısayol
C I
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Yay, Elips


Açıklama

Çember aracı, geçerli Çalışma düzlemi içinde iki nokta girerek, merkez ve yarıçapı girerek veya teğetleri veya bunların herhangi bir kombinasyonunu alarak bir çember oluşturur. Tepsi de önceden ayarlanmış olan Çizgi stili alır.

Bu araç, tam bir yay oluşturması dışında, Yay aracıyla aynı şekilde çalışır. Bir elips çizmek için Elips kullanın.

Draft Circle example.jpg

Çember, iki noktayla tanımlanır


Nasıl kullanılır

  1. Draft Circle.png Çember düğmesine basın veya C ardından I tuşlarına basın .
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir yarıçap değeri girin.

Ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak daire düzenlenebilir. Ardından merkez ve yarıçap noktalarını yeni bir konuma getirebilirsiniz.

Çember, oluşturulduktan sonra ilk açı ve son açı özelliklerini farklı değerlere ayarlayarak bir yay haline getirilebilir.

Seçenekler

  • Daire aletinin birincil kullanımı, merkez ve çevre üzerindeki bir nokta olmak üzere iki nokta seçmektir.
    • Alt tuşuna basarak, bir nokta seçmek yerine bir teğet seçebilirsiniz. Bu nedenle, bir, iki veya üç teğet seçerek birkaç daire tipi oluşturabilirsiniz.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, daireyi tamamladıktan sonra Daire aracı yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolgu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolgu modu açıksa, daire dolgulu bir yüz oluşturur (VERİMake Face True); değilse, daire bir yüz oluşturmaz (VERİMake Face False).
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak constrain çizerken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Kapat düğmesine basınız.

Özellikleri

Bir çember nesnesi Yay 'daki tüm özellikleri paylaşır, ancak bazı özellikler sadece çember için bir anlam ifade eder.

Veri

  • VERİBaşlangıç açısı: Çemberin başlangıç açısını belirtir; normalde 0 °.
  • VERİBitiş açısı: Çemberin bitiş açısını belirtir; normalde 0 °.
  • VERİYarıçap: Çemberin yarıçapını belirtir.
  • VERİYüzey oluştur: Çemberin bir yüzey yapıp yapmayacağını belirtir. True ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir. Bu özellik yalnızca şekil tam bir çevre ise işe yarar.
  • VERİBaşlangıç açısı: ve tam daire olması için VERİBitiş açısı aynı değere sahip olmalıdır; Aksi takdirde, bir Yay görüntülenir. 0 ° ve 360 ° değerleri aynı sayılmaz, bu nedenle bu iki değer kullanılırsa, daire bir yüzey oluşturmaz.

Görünüm

  • GÖRÜNÜMDesen: Çemberin yüzünü doldurmak için bir Desen belirtir. Bu özellik yalnızca VERİYüzey oluştur True ise ve GÖRÜNÜMGörüntüle modu "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMDesen: Desen 'nin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Çember aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Milimetre cinsinden radius verilen bir Circle nesnesi oluşturur.
    • radius ayrıca Curve özniteliğinin bir Part.Circle olması gereken bir Part.Edge de olabilir.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • face True ise, daire bir yüz yapacaktır, yani dolu görünecektir.
  • Eğer startangle ve endangle derece cinsinden verilirse ve farklı değerler varsa, bunlar kullanılır ve nesne Draft Arc olarak görünür.

Örnek:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)